/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wertelisten.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wertelisten.entity.WertelistenConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WertelistenMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WertelistenMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wertelistenMeta";

  @Inject
  private transient Messages messages;

  public WertelistenMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getNameEinzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !WertelistenConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return WertelistenConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return WertelistenConstants.NAME_MAX_LENGTH;
  }

  public String getWertelistenArtEinzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_WERTELISTEN_ART_EINZAHL;
  }

  public String getWertelistenArtMehrzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_WERTELISTEN_ART_MEHRZAHL;
  }


  public String getWertelistenArtEinzahlMessage(){
    return getMessage(getWertelistenArtEinzahlMessageKey());
  }

  public String getWertelistenArtMehrzahlMessage(){
    return getMessage(getWertelistenArtMehrzahlMessageKey());
  }



  public boolean isWertelistenArtRequired() {
    return !WertelistenConstants.WERTELISTEN_ART_NULLABLE;
  }

  public de.ivu.elect.business.wertelisten.entity.WertelistenArt getWertelistenArtDefaultValue() {
    return WertelistenConstants.WERTELISTEN_ART_DEFAULT_VALUE;
  }



  public String getWahlEinzahlMessageKey(){
    return WertelistenConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !WertelistenConstants.WAHL_ID_NULLABLE;
  }

}